Bug 439427 - openssh test is odd
openssh test is odd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 13:36 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 04:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-28 13:36:06 EDT
Description of problem:

Test Name: openssh                                          Test Result: WARNING
        Warning(19)   Wrong permissions on directory: "/var/empty/sshd"
(directory used by sshd during privilege separation in the pre-authentication
phase, required permissions are 644)

1) 0644 is a very strange directory permission
2) If this is truly the case, why isn't this fixed in the openssh package?

Also:

        Warning(22)   Remote root login IS NOT EXPLICITLY DISABLED.
        Warning(09)   Remote access IS NOT restricted with the AllowGroups nor
the AllowUsers directive

These are intentional in the configuration.

Version-Release number of selected component (if applicable):

sectool-0.6.0-1.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Hrozek 2008-04-01 05:10:46 EDT
Per the remote root login and Allow{User,Groups}..I guess that we could move
that test from the "default" security level (3), but let it enabled in the
"hardening" levels - 4 and 5. 

Note You need to log in before you can comment on or make changes to this bug.